<?php
namespace App\Models;
use App\Models\BaseModel;
/**
 *  @description 消息列表
 *  @author  system;
 *  @version    1.0
 *  @date 2017-06-30 10:16:20
 *
 */
class SystemInfoModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'system_info';
    /**
    主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
                           'user_id',
                           'message',
                           'to_user_id',
                           'is_read',
                           'interaction_id',
                           'dream_id',
                           'type_id',
                           'is_url',
                           'info',
                           'is_reply',
                           'is_max',
                           'is_end',
                           'is_ok',
                           'attr_id',
                           'image',
                           'video',
                          ];

    public function user()
    {
        return $this->hasOne('App\Models\UserInfoModel','id','user_id');
    }

    public function touser()
    {
        return $this->hasOne('App\Models\UserInfoModel','id','to_user_id');
    }
}