<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddDreamIdAndInteractionIdToSystemInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('system_info', function (Blueprint $table) {
            $table->integer('dream_id')->nullable()->after('is_read');
            $table->integer('interaction_id')->nullable()->after('is_read');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('system_info', function (Blueprint $table) {
            //
        });
    }
}
