<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddTypeIdToSystemInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('system_info', function (Blueprint $table) {
            $table->smallInteger('type_id')->default(0)->comment('0通知消息1梦想消息2支持消息')->after('dream_id');
            $table->smallInteger('is_url')->default(0)->comment('0点击消息不跳转1跳转')->after('dream_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('system_info', function (Blueprint $table) {
            //
        });
    }
}
