<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddIsReplyToSystemInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('system_info', function (Blueprint $table) {
            $table->smallInteger('is_reply')->default(0)->comment('0不可回复1可回复')->after('dream_id');
            $table->smallInteger('attr_id')->default(0)->comment('1支持2收藏3互动4提现5梦想暂停6结束7私信8@9倒计时10排名取代')->after('dream_id');
            $table->text('info')->nullable()->comment('私信内容')->after('dream_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('system_info', function (Blueprint $table) {
            //
        });
    }
}
