@extends('admin.layout')

@section('content')

<?php
    if(!isset($data)) $data = array();
    if(!$data && session("data")){
        $data = session("data");
    }
    if(!$data && session('_old_input')){
        $data = session("_old_input");
    }
?>
<div class="wrapper wrapper-content animated fadeInRight">
	<div class="row">
		<div class="col-sm-12">
			<div class="ibox float-e-margins">
				<div class="ibox-title">
					<h5>提现列表</h5>
					<div class="ibox-tools">
						<a class="collapse-link"> <i class="fa fa-chevron-up"></i>
						</a>
					</div>
				</div>
				<div class="ibox-content">
                    @if(role('User/Cash/Out/index'))
				    <div class="row">
    					<div class="col-sm-3 pull-right">
    					   <a href="{{ U('User/Cash/Out/index')}}" class="btn btn-sm btn-primary pull-right">返回列表</a>
    					</div>
					</div>
                    @endif

		            <div class="row">
                        <div class="col-lg-10">
                            <form name="form_product" id="form-validation" action="" class="form-horizontal form-validation" accept-charset="UTF-8" method="post">

                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">提现状态</label>
                                    
                   <div class="col-sm-9">
                       <select name="data[status]" id="" class="form-control">
                           @foreach( dict()->get('global','cash_out') as $key =>$val)
                               <option value="{{$key}}" {{isset($data['status']) && $data['status']==$key?'selected':''}}>{{$val}}</option>
                           @endforeach
                       </select>
                    </div>
                                
                </div>
                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">备注</label>
                                    
                   <div class="col-sm-9">
                     <textarea name="data[comments]" id="editorcomments" class="form-control" rows="10">{{ $data['comments'] or ''}}</textarea>
                                       
                     {!! editor('editorcomments', ['position' => 'ali', 'folder' => 'upload/common'], ['themeType' => 'simple', 'height' => '300px']) !!}
                                            
                    </div>
                                
                </div>
                                
                                <div class="form-group">
                                    <label class="control-label col-sm-3">&nbsp;</label>
                                    <div class="col-sm-9">
                                        <input type="hidden" name="_referer" value="<?php echo urlencode(request()->server('HTTP_REFERER'));?>"/>
                                        <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>"/>
                                        <input type="submit" class="btn btn-success" style="margin-right:20px;">
                                        <input type="hidden" name="data[user_id]" value="{{$data['user_id'] or ''}}">
                                        <input type="hidden" name="data[cash]" value="{{$data['cash'] or ''}}">
                                        <input type="reset" class="btn btn-default" >
                                    </div>
                                </div>
        
                            </form>
                        </div>
                        <!-- /.col-lg-10 -->
                    </div>
                    <!-- /.row -->
				</div>
			</div>
		</div>
	</div>
</div>

@endsection